<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: latest_blacklisted_panel.php
| Author: Smokeman
| Email: smokeman@esenet.dk
| Web: PHPFusion-Tips.dk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."latest_blacklisted_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."latest_blacklisted_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."latest_blacklisted_panel/locale/English.php";
}

openside($locale['lbip_001']);
$rows = dbcount("(blacklist_id)", DB_BLACKLIST);
if ($rows != 0) {
  $result = dbquery(
          "SELECT b.blacklist_id, b.blacklist_ip, b.blacklist_email, b.blacklist_reason, b.blacklist_datestamp, u.user_id, u.user_name, u.user_status
          FROM ".DB_BLACKLIST." b
          LEFT JOIN ".DB_USERS." u ON u.user_id=b.blacklist_user_id
          ORDER BY blacklist_datestamp DESC LIMIT 1"
  );
  $i = 0;
  while ($data = dbarray($result)) {
    echo "<div style='text-align:center'><a href='".INFUSIONS."latest_blacklisted_panel/latest_blacklisted.php'><b>".($data['blacklist_ip'] ? $data['blacklist_ip'] : $data['blacklist_email'])."</b></a></div>\n";
  }
} else {
  echo "<div style='text-align:center'><br />\n".$locale['lbip_004']."<br /><br />\n</div>\n";
}
echo "<div style='text-align:center' class='small'><br />\n".$locale['lbip_002']." <b>".$rows."</b> juod.s&#261;ra&#353;e</div>\n";
echo "<div style='text-align:right;' class='small'>".$locale['COPYRIGHT']."</div>\n";
closeside();
?>