<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: latest_blacklisted_ip.php
| Author: Smokeman
| Email: smokeman@esenet.dk
| Web: PHPFusion-Tips.dk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include LOCALE.LOCALESET."admin/blacklist.php";

opentable($locale['lbip_001']);

$rows = dbcount("(blacklist_id)", DB_BLACKLIST);

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows != 0) {
  $result = dbquery(
          "SELECT b.blacklist_id, b.blacklist_ip, b.blacklist_email, b.blacklist_reason, b.blacklist_datestamp, u.user_id, u.user_name, u.user_status
          FROM ".DB_BLACKLIST." b
          LEFT JOIN ".DB_USERS." u ON u.user_id=b.blacklist_user_id
          ORDER BY blacklist_datestamp DESC
          LIMIT ".$_GET['rowstart'].",20"
  );
  $i = 0;
  echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
  echo "<td class='tbl2'>".$locale['lbip_006']."</td>\n";
  echo "<td class='tbl2'>".$locale['lbip_008']."</td>\n";
  echo "<td class='tbl2'>".$locale['lbip_009']."</td>\n";
  echo "</tr>\n";
  while ($data = dbarray($result)) {
    $row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
    echo "<tr>\n";
    
    $exp_domain = explode('@', $data['blacklist_email']);
    $domain = (isset($exp_domain[1]) ? $exp_domain[1] : "");
    
    if ($data['blacklist_ip']) {
      $trace = $locale['lbip_005'];
    }
    
    if ($data['blacklist_email']) {
      $trace = $locale['lbip_010'];
    }
    
    echo "<td class='$row_color'><a href='http://en.utrace.de/?query=".($data['blacklist_ip'] ? $data['blacklist_ip'] : $domain)."' target='_blank' title='".$trace."'>".($data['blacklist_ip'] ? $data['blacklist_ip'] : $data['blacklist_email'])."</a>";
    if ($data['blacklist_reason']) {
      echo "<br /><span class='small2'>".$data['blacklist_reason']."</span>";
    }
    echo "</td>\n<td class='$row_color'>".(isset($data['user_name']) ? profile_link($data['user_id'], $data['user_name'], $data['user_status']) : $locale['lbip_007'])."</td>\n";
    echo "<td class='$row_color'>".($data['blacklist_datestamp'] != 0 ? showdate("shortdate", $data['blacklist_datestamp']) : $locale['lbip_009'])."</td>\n";
    echo "</tr>\n";
  }
  echo "</table>\n";
  } else {
    echo "<div style='text-align:center'><br />\n".$locale['lbip_004']."<br /><br />\n</div>\n";
  }
  if (($rows) > 20) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,FUSION_SELF."?")."\n</div>\n"; }
  echo "<div style='text-align:right; class='small'>".$locale['COPYRIGHT']."</div>\n";

closetable();

require_once THEMES."templates/footer.php";
?>